%define base_name       validator
%define short_name      commons-%{base_name}
%define name            jakarta-%{short_name}
%define version         1.0.1
%define release         1jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Jakarta Commons Validator
License:        Apache Software License
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://jakarta.apache.org/builds/jakarta-commons/release/commons-validator/v1.0.1/validator-1.0.1-src.tar.gz
URL:            http://jakarta.apache.org/commons/validator/
BuildRequires:  ant
BuildRequires:  jakarta-commons-beanutils >= 1.5
BuildRequires:  jakarta-commons-collections >= 2.0
BuildRequires:  jakarta-commons-digester >= 1.2
BuildRequires:  jakarta-commons-logging >= 1.0
BuildRequires:  oro >= 2.0.6
BuildRequires:  junit >= 3.7
BuildRequires:  xml-commons-apis
Requires:       jakarta-commons-beanutils >= 1.5
Requires:       jakarta-commons-collections >= 2.0
Requires:       jakarta-commons-digester >= 1.2
Requires:       jakarta-commons-logging >= 1.0
Requires:       oro >= 2.0.6
Requires:       xml-commons-apis
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:       %{short_name}
Obsoletes:      %{short_name}

%description
A common issue when receiving data either electronically or from user
input is verifying the integrity of the data. This work is repetitive
and becomes even more complicated when different sets of validation
rules need to be applied to the same set of data based on locale for
example. Error messages may also vary by locale. This package attempts
to address some of these issues and speed development and maintenance
of validation rules.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{base_name}-%{version}-src
# Yay!  No external jars in the source package, way to go...

%build
CLASSPATH=%{javadir}/xml-commons-apis.jar ant \
  -Dbuild.sysclasspath=last \
  -Dcommons-beanutils.jar=%{javadir}/commons-beanutils.jar \
  -Dcommons-collections.jar=%{javadir}/commons-collections.jar \
  -Dcommons-digester.jar=%{javadir}/commons-digester.jar \
  -Dcommons-logging.jar=%{javadir}/commons-logging.jar \
  -Djunit.jar=%{javadir}/junit.jar \
  -Doro.jar=%{javadir}/oro.jar \
  test dist

%install
# jars
mkdir -p $RPM_BUILD_ROOT%{javadir}
cp -p dist/%{short_name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt PROPOSAL.html RELEASE-NOTES* STATUS.html conf/share/*.dtd
%{javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-%{version}

%changelog
* Mon Dec 16 2002 Ville Skytt <ville.skytta at iki.fi> - 1.0.1-1jpp
- 1.0.1.
- Include the DTD in the package (as documentation).

* Sat Nov  2 2002 Ville Skytt <ville.skytta at iki.fi> - 1.0-1jpp
- 1.0, initial JPackage release.
